package org.chenyang.http.impl.io;

import org.chenyang.http.io.HttpTransportMetrics;

public class HttpTransportMetricsImpl implements HttpTransportMetrics {
   private long bytesTransferred = 0L;

   public long getBytesTransferred() {
      return this.bytesTransferred;
   }

   public void setBytesTransferred(long count) {
      this.bytesTransferred = count;
   }

   public void incrementBytesTransferred(long count) {
      this.bytesTransferred += count;
   }

   public void reset() {
      this.bytesTransferred = 0L;
   }
}
